<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
IBackup..::.Open Method
IBackup Interface See Also Send Feedback

Called when a target location is opened during a backup. This method should do whatever is necessary to prepare the backup destination for writing the data.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    int Open(
    	string dbname,
    	string target
    )

Visual Basic (Declaration)

    Function Open ( _
    	dbname As String, _
    	target As String _
    ) As Integer

Visual C++

    int Open(
    	String^ dbname,
    	String^ target
    )

#### Parameters

dbname
  Type: System..::.String
  The backup's directory destination.

target
  Type: System..::.String
  The name of the database being backed up.

#### Return Value

0 on success, non-zero on error.

# See Also

IBackup Interface
BerkeleyDB Namespace